Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.nativewindow
Interface CapabilitiesChooser

All Known Subinterfaces:
  GLCapabilitiesChooser

All Known Implementing Classes:
  DefaultCapabilitiesChooser, DefaultGLCapabilitiesChooser

    public interface CapabilitiesChooser

Provides a mechanism by which applications can customize the window type selection for a given `Capabilities`. Developers can implement this interface and pass an instance into the method `GraphicsConfigurationFactory.chooseGraphicsConfiguration(javax.media.nativewindow.Capabilities, javax.media.nativewindow.CapabilitiesChooser, javax.media.nativewindow.AbstractGraphicsScreen)`; the chooser will be called at window creation time.

Method Summary
`int` | `chooseCapabilities(Capabilities desired, Capabilities[] available, int windowSystemRecommendedChoice)` Chooses the index (0..available.length - 1) of the `Capabilities` most closely matching the desired one from the list of all supported.

Method Detail

### chooseCapabilities

    int chooseCapabilities(Capabilities desired,
                           Capabilities[] available,
                           int windowSystemRecommendedChoice)

  Chooses the index (0..available.length - 1) of the `Capabilities` most closely matching the desired one from the list of all supported. Some of the entries in the `available` array may be null; the chooser must ignore these. The windowSystemRecommendedChoice parameter may be provided to the chooser by the underlying window system; if this index is valid, it is recommended, but not necessarily required, that the chooser select that entry.

  Note: this method is called automatically by the `GraphicsConfigurationFactory.chooseGraphicsConfiguration(javax.media.nativewindow.Capabilities, javax.media.nativewindow.CapabilitiesChooser, javax.media.nativewindow.AbstractGraphicsScreen)` method when an instance of this class is passed in to it. It should generally not be invoked by users directly, unless it is desired to delegate the choice to some other CapabilitiesChooser object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.